Subject: [Pce] FW: [Lsr] WG Last Call for IGP extension for PCEP security capability support in the PCE discovery - draft-ietf-lsr-pce-discovery-security-support-05

From: "Acee Lindem (acee)" <[email-masked]>
Date: Thu, 22 Jul 2021 18:56:56 +0000

Forwarding comments to PCE list…
Thanks,
Acee

From: Acee Lindem <[email-masked]>
Date: Thursday, July 22, 2021 at 11:11 AM
To: "Acee Lindem (acee)" <acee=[email-masked]>, "[email-masked]" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Subject: Re: [Lsr] WG Last Call for IGP extension for PCEP security capability support in the PCE discovery - draft-ietf-lsr-pce-discovery-security-support-05

Speaking as a WG member, I support publication.

I only have one functional comment and that is on Appendix A. Note that a key-chain or key-id would be useful for MD5 as well as TLS and TCP-AO. I’m not suggesting that you add MD5 since it is historic but support of MD5 as specified in RFC 5440 would require configuration of the same key or key-chain on the PCC and PCE server.

I also have some editorial comments that you can decide whether or not to apply. Of note are that I don’t think you need to say “looking for connecting with a” and can simply say “looking for a”. Also, once this document is published the capability bits and sub-TLVs are not longer “new”.

See full set of editorial comments in attached RFC diff.

Thanks,
Acee

From: Lsr <[email-masked]> on behalf of "Acee Lindem (acee)" <acee=[email-masked]>
Date: Wednesday, July 21, 2021 at 12:46 PM
To: "[email-masked]" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Subject: [Lsr] WG Last Call for IGP extension for PCEP security capability support in the PCE discovery - draft-ietf-lsr-pce-discovery-security-support-05

This begins a 3-week WG Last Call, ending on August 4th, 2021, for draft-ietf-lsr-pce-discovery-security-support. Please indicate your support or objection to this list before the end of the WG last call. The longer WG last call is to account for IETF week.

  https://datatracker.ietf.org/doc/draft-ietf-lsr-pce-discovery-security-support/

Thanks,
Acee